Squid install - error @ bottom of page



  • Hi,
    running pfSense 1.0-RELEASE here. When installing the Squid pkg I noticed the following at the bottom of the page in the grey area and just wanted to report it.

    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 532
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 532
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83
    Warning: in_array(): Wrong datatype for second argument in /usr/local/pkg/squid.inc on line 83



  • Thanks for the report.  This is mostly due to squid not being configured as of yet.  However it needs to be fixed.  I'll fix it soon.


Log in to reply